version: "3.8"

services:
  peipei-backend:
    image: docker-registry.julyhaven.com/peipei/backend:latest
    container_name: peipei-backend
    ports:
      - "7003:7002"
    environment:
      - SPRING_PROFILES_ACTIVE=test
      - JAVA_OPTS=-Xms2g -Xmx2g
    volumes:
      - ./log:/app/log # Mount log directory to host
    restart: unless-stopped
    healthcheck:
      # Maybe use actuator later
      test:
        [
          "CMD",
          "wget",
          "--no-verbose",
          "--tries=1",
          "--spider",
          "http://localhost:7002/api/health",
        ]
      interval: 30s
      timeout: 10s
      retries: 3
      start_period: 60s
    networks:
      - peipei-network

networks:
  peipei-network:
    driver: bridge
# volumes:
#   mysql_data:
